Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.servlet.jetty
Class IncludableGzipFilter.IncludableGzipStream

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.mortbay.servlet.GzipFilter.GzipStream
                  org.mortbay.servlet.jetty.IncludableGzipFilter.IncludableGzipStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Enclosing class:
  IncludableGzipFilter

    public class IncludableGzipFilter.IncludableGzipStream

extends GzipFilter.GzipStream

Field Summary

Fields inherited from class org.mortbay.servlet.GzipFilter.GzipStream
`_bOut, _bufferSize, _closed, _contentLength, _gzOut, _minGzipSize, _out, _request, _response`

Constructor Summary
`IncludableGzipFilter.IncludableGzipStream(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, long contentLength, int bufferSize, int minGzipSize)`

Method Summary
`protected boolean` | `setContentEncodingGzip()`

Methods inherited from class org.mortbay.servlet.GzipFilter.GzipStream
`close, doGzip, doNotGzip, finish, flush, resetBuffer, setContentLength, write, write, write`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncludableGzipFilter.IncludableGzipStream

    public IncludableGzipFilter.IncludableGzipStream(javax.servlet.http.HttpServletRequest request,
                                                     javax.servlet.http.HttpServletResponse response,
                                                     long contentLength,
                                                     int bufferSize,
                                                     int minGzipSize)
                                              throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### setContentEncodingGzip

    protected boolean setContentEncodingGzip()

  Overrides:
    `setContentEncodingGzip` in class `GzipFilter.GzipStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.